<template>
  <button
      :type="type"
      :class="`group relative w-full flex justify-center py-2 px-4 border border-transparent text-sm font-medium rounded-md text-white bg-${color}-500 hover:bg-${color}-600 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-${color}-400`"
  >
    <span v-if="icon != null" class="absolute left-0 inset-y-0 flex items-center pl-3">
      <font-awesome-icon :icon="icon" :class="`h-5 w-5 text-${color}-400 group-hover:text-${color}-300`"/>
    </span>
    {{ label }}
  </button>
</template>

<script>
export default {
  name: "ButtonForm",
  props: {
    type: String,
    icon:{
      default: null,
      svg: String,
    },
    label: String,
    color: {
      default: "indigo",
      type: String
    }
  }
};
</script>

<style scoped></style>
